/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-04-25
 * 描述            ：酸洗生产主实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Pickle.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Pickle.Performance.mapper.MesPlmMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_PLM_M", namespace=MesPlmMMapper.class)
public class MesPlmM extends BaseVO implements Serializable {
	
	private Long sub_count;//计划子卷数
	public Long getSub_count() {
		return this.sub_count;
	}
	public void setSub_count(Long sub_count) {
		this.sub_count = sub_count;
	}
	
	private Long act_count;//实绩子卷数
	
	public Long getAct_count() {
		return act_count;
	}
	public void setAct_count(Long act_count) {
		this.act_count = act_count;
	}
	
	
	/** 
	 * 生产处理号
	 */ 
	@Id
	private String process_no;
	public String getProcess_no() {
		return this.process_no;
	}
	public void setProcess_no(String process_no) {
		this.process_no = process_no;
	}

	/** 
	 * 机台号
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业计划号
	 */ 
	@Column
	private String schedule_no;
	public String getSchedule_no() {
		return this.schedule_no;
	}
	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	/** 
	 * 计划内序号
	 */ 
	@Column
	private Long inner_seq;
	public Long getInner_seq() {
		return this.inner_seq;
	}
	public void setInner_seq(Long inner_seq) {
		this.inner_seq = inner_seq;
	}

	/** 
	 * 虚拟原料卷号
	 */ 
	@Column
	private String material_no_vt;
	public String getMaterial_no_vt() {
		return this.material_no_vt;
	}
	public void setMaterial_no_vt(String material_no_vt) {
		this.material_no_vt = material_no_vt;
	}

	/** 
	 * 计划原料卷牌号
	 */ 
	@Column
	private String pln_steel_code;
	public String getPln_steel_code() {
		return this.pln_steel_code;
	}
	public void setPln_steel_code(String pln_steel_code) {
		this.pln_steel_code = pln_steel_code;
	}

	/** 
	 * 计划原料卷厚度
	 */ 
	@Column
	private Double pln_mtr_thk;
	public Double getPln_mtr_thk() {
		return this.pln_mtr_thk;
	}
	public void setPln_mtr_thk(Double pln_mtr_thk) {
		this.pln_mtr_thk = pln_mtr_thk;
	}

	/** 
	 * 计划原料卷宽度
	 */ 
	@Column
	private Double pln_mtr_wdt;
	public Double getPln_mtr_wdt() {
		return this.pln_mtr_wdt;
	}
	public void setPln_mtr_wdt(Double pln_mtr_wdt) {
		this.pln_mtr_wdt = pln_mtr_wdt;
	}

	/** 
	 * 计划原料卷长度
	 */ 
	@Column
	private Double pln_mtr_len;
	public Double getPln_mtr_len() {
		return this.pln_mtr_len;
	}
	public void setPln_mtr_len(Double pln_mtr_len) {
		this.pln_mtr_len = pln_mtr_len;
	}

	/** 
	 * 计划原料卷内径
	 */ 
	@Column
	private Double pln_mtr_inn_dia;
	public Double getPln_mtr_inn_dia() {
		return this.pln_mtr_inn_dia;
	}
	public void setPln_mtr_inn_dia(Double pln_mtr_inn_dia) {
		this.pln_mtr_inn_dia = pln_mtr_inn_dia;
	}

	/** 
	 * 计划原料卷外径
	 */ 
	@Column
	private Double pln_mtr_out_dia;
	public Double getPln_mtr_out_dia() {
		return this.pln_mtr_out_dia;
	}
	public void setPln_mtr_out_dia(Double pln_mtr_out_dia) {
		this.pln_mtr_out_dia = pln_mtr_out_dia;
	}

	/** 
	 * 计划原料卷理重
	 */ 
	@Column
	private Double pln_mtr_thr_wgt;
	public Double getPln_mtr_thr_wgt() {
		return this.pln_mtr_thr_wgt;
	}
	public void setPln_mtr_thr_wgt(Double pln_mtr_thr_wgt) {
		this.pln_mtr_thr_wgt = pln_mtr_thr_wgt;
	}

	/** 
	 * 原料卷号
	 */ 
	@Column
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 原始卷号
	 */ 
	@Column
	private String material_no_src;
	public String getMaterial_no_src() {
		return this.material_no_src;
	}
	public void setMaterial_no_src(String material_no_src) {
		this.material_no_src = material_no_src;
	}

	/** 
	 * 原料卷牌号
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 原料卷厚度
	 */ 
	@Column
	private Double mtr_thk;
	public Double getMtr_thk() {
		return this.mtr_thk;
	}
	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}

	/** 
	 * 原料卷宽度
	 */ 
	@Column
	private Double mtr_wdt;
	public Double getMtr_wdt() {
		return this.mtr_wdt;
	}
	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}

	/** 
	 * 原料卷长度
	 */ 
	@Column
	private Double mtr_len;
	public Double getMtr_len() {
		return this.mtr_len;
	}
	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}

	/** 
	 * 原料卷内径
	 */ 
	@Column
	private Double mtr_inn_dia;
	public Double getMtr_inn_dia() {
		return this.mtr_inn_dia;
	}
	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}

	/** 
	 * 原料卷外径
	 */ 
	@Column
	private Double mtr_out_dia;
	public Double getMtr_out_dia() {
		return this.mtr_out_dia;
	}
	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}

	/** 
	 * 原料卷理重
	 */ 
	@Column
	private Double mtr_thr_wgt;
	public Double getMtr_thr_wgt() {
		return this.mtr_thr_wgt;
	}
	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}

	/** 
	 * 原料卷实重
	 */ 
	@Column
	private Double mtr_act_wgt;
	public Double getMtr_act_wgt() {
		return this.mtr_act_wgt;
	}
	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}

	/** 
	 * 作业日期（YYYY-MM-DD）
	 */ 
	@Column
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 作业班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String wrk_grp;
	public String getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	/** 
	 * 主操工
	 */ 
	@Column
	private String chief_opr;
	public String getChief_opr() {
		return this.chief_opr;
	}
	public void setChief_opr(String chief_opr) {
		this.chief_opr = chief_opr;
	}

	/** 
	 * 上料时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date feeding_time;
	public Date getFeeding_time() {
		return this.feeding_time;
	}
	public void setFeeding_time(Date feeding_time) {
		this.feeding_time = feeding_time;
	}

	/** 
	 * 上料称重
	 */ 
	@Column
	private Double feeding_wgt;
	public Double getFeeding_wgt() {
		return this.feeding_wgt;
	}
	public void setFeeding_wgt(Double feeding_wgt) {
		this.feeding_wgt = feeding_wgt;
	}

	/** 
	 * 原料卷称重时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date feeding_wgt_time;
	public Date getFeeding_wgt_time() {
		return this.feeding_wgt_time;
	}
	public void setFeeding_wgt_time(Date feeding_wgt_time) {
		this.feeding_wgt_time = feeding_wgt_time;
	}

	/** 
	 * 生产开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date tp_str_time;
	public Date getTp_str_time() {
		return this.tp_str_time;
	}
	public void setTp_str_time(Date tp_str_time) {
		this.tp_str_time = tp_str_time;
	}

	/** 
	 * 生产结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date tp_end_time;
	public Date getTp_end_time() {
		return this.tp_end_time;
	}
	public void setTp_end_time(Date tp_end_time) {
		this.tp_end_time = tp_end_time;
	}

	/** 
	 * 生产持续时长（min）
	 */ 
	@Column
	private Long tp_duration;
	public Long getTp_duration() {
		return this.tp_duration;
	}
	public void setTp_duration(Long tp_duration) {
		this.tp_duration = tp_duration;
	}

	/** 
	 * 酸洗状态
	 */ 
	@Column
	private String suanxi_status;
	public String getSuanxi_status() {
		return this.suanxi_status;
	}
	public void setSuanxi_status(String suanxi_status) {
		this.suanxi_status = suanxi_status;
	}

	/** 
	 * 是否断带（1：断带、0：正常）
	 */ 
	@Column
	private String strip_break;
	public String getStrip_break() {
		return this.strip_break;
	}
	public void setStrip_break(String strip_break) {
		this.strip_break = strip_break;
	}

	/** 
	 * 断带次数
	 */ 
	@Column
	private Long rll_break_times;
	public Long getRll_break_times() {
		return this.rll_break_times;
	}
	public void setRll_break_times(Long rll_break_times) {
		this.rll_break_times = rll_break_times;
	}

	/** 
	 * 断带原因
	 */ 
	@Column
	private String rll_break_reason;
	public String getRll_break_reason() {
		return this.rll_break_reason;
	}
	public void setRll_break_reason(String rll_break_reason) {
		this.rll_break_reason = rll_break_reason;
	}

	/** 
	 * 部分原料卷吊销（1是、0否）
	 */ 
	@Column
	private String partial_rejected;
	public String getPartial_rejected() {
		return this.partial_rejected;
	}
	public void setPartial_rejected(String partial_rejected) {
		this.partial_rejected = partial_rejected;
	}

	/** 
	 * 吊销卷号
	 */ 
	@Column
	private String rejected_coil_no;
	public String getRejected_coil_no() {
		return this.rejected_coil_no;
	}
	public void setRejected_coil_no(String rejected_coil_no) {
		this.rejected_coil_no = rejected_coil_no;
	}

	/** 
	 * 吊销卷理重
	 */ 
	@Column
	private Double rejected_coil_thr_wgt;
	public Double getRejected_coil_thr_wgt() {
		return this.rejected_coil_thr_wgt;
	}
	public void setRejected_coil_thr_wgt(Double rejected_coil_thr_wgt) {
		this.rejected_coil_thr_wgt = rejected_coil_thr_wgt;
	}

	/** 
	 * 吊销卷实重
	 */ 
	@Column
	private Double rejected_coil_act_wgt;
	public Double getRejected_coil_act_wgt() {
		return this.rejected_coil_act_wgt;
	}
	public void setRejected_coil_act_wgt(Double rejected_coil_act_wgt) {
		this.rejected_coil_act_wgt = rejected_coil_act_wgt;
	}

	/** 
	 * 吊销卷长度
	 */ 
	@Column
	private Double rejected_coil_len;
	public Double getRejected_coil_len() {
		return this.rejected_coil_len;
	}
	public void setRejected_coil_len(Double rejected_coil_len) {
		this.rejected_coil_len = rejected_coil_len;
	}

	/** 
	 * 吊销卷外径
	 */ 
	@Column
	private Double rejected_coil_out_dia;
	public Double getRejected_coil_out_dia() {
		return this.rejected_coil_out_dia;
	}
	public void setRejected_coil_out_dia(Double rejected_coil_out_dia) {
		this.rejected_coil_out_dia = rejected_coil_out_dia;
	}

	/** 
	 * 交工状态
	 */ 
	@Column
	private String hand_over_status;
	public String getHand_over_status() {
		return this.hand_over_status;
	}
	public void setHand_over_status(String hand_over_status) {
		this.hand_over_status = hand_over_status;
	}

	/** 
	 * 交工时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date hand_over_time;
	public Date getHand_over_time() {
		return this.hand_over_time;
	}
	public void setHand_over_time(Date hand_over_time) {
		this.hand_over_time = hand_over_time;
	}

	/** 
	 * 交工人
	 */ 
	@Column
	private String hand_over_opr;
	public String getHand_over_opr() {
		return this.hand_over_opr;
	}
	public void setHand_over_opr(String hand_over_opr) {
		this.hand_over_opr = hand_over_opr;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
